Subject: ARM patches for 2.1.132 released

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 27 Dec 1998 23:40:23 +0000 (GMT)

Hi all,

The ARM patches for 2.1.132 are now on the FTP site in their usual location.

With Linus' release of 2.1.132, a lot of ARM patches went in.  Unfortunately,
it hasn't reduced my patch size significantly - seems like a lot has changed
since I submitted that patch.

Patch includes:

- hardware accelerated fbcon console for Netwinder (now usable)
- San's alignment trap handler (with some mods)
   NOTE!  Could people send me the results of
   'cat /proc/uptime /proc/sys/debug/alignment'
   please?  On my Netwinder, with the kernel compiled with my ELF GCC
   2.7.2.2, I'm getting a fault rate of 1 per ms, which is not good.
   I'd like to hear about newer GCCs/EGCS with various optimisation
   levels.
- EBSA285 reboot options.
- Some of Phils patches merged.
- Various minor header file problems cleared.
- SA110 'wait for interrupt' instruction (aka x86's hlt) now used.
- Netwinder DMA operational (waveartist)
- IDE fix for DMA drives which have not had their interfaces configured
  for DMA.
- Separate CONFIG options for binutils and separate text init sections
  (Corel's binutils on my 2.0r10 image must have text init sections
   turned *off*).
- sys_cacheflush added.
- PCI ioremap stuff.

The usual:

- newer tulip.c driver (for 21143)
- ipv4 checksum problem fixes.
- NFS fixes.
- minor sound driver cleanup.
- as yet unmerged IDE stuff from the m68k guys
- mouse patches (SMP fixes + cleanup)
- partition stuff (cleanup)

I'm sure there's other stuff...

PS, there are a few work-arounds for GCC 2.8.1 (?) which is shipped with the
Netwinder 2.0r10 image which are not obvious to enable.  See:

 - linux/include/asm-arm/byteorder.h
 - linux/include/asm-arm/spinlock.h

If you're using GCC 2.8.1, please disable the #if in byteorder.h if you
experiance problems.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Philip Blundell <[email-masked]>
Date: Mon, 28 Dec 1998 21:55:34 +0100

I've made an updated version of my patchkit relative to Russell's latest 
2.1.132 patch.

New stuff:

 - fix the `empty structure' zero-cost spinlocks and use them on EGCS systems
 - correct #if conditional in byteorder.h to avoid problems with GCC 2.8
 - various small compilation fixes (NBD etc)
 - include Alex Holden's NetWinder LED driver, though it may not be to all 
   tastes
 - allow pgt cache to be disabled on 26-bit machines
 - `make xconfig' doesn't barf on multi-word CONFIG_CMDLINE values
 - inline asm functions (inb, sti etc) now annotate the assembler output with
   strategic comments (makes life easier for people reading gcc -S output)
 - CONFIG_SOUND_WAVEARTIST=y works properly now

Plus all the usual things.

ftp://ftp.netwinder.org/users/p/philb/linux-2.1.132-philb-981228.gz

p.